#include <stdio.h>
#include "patient.h"
#include "ration.h"
#include "testSante.h"
#include "bilan.h"

char *nom_repas[4] = { "Petit déjeuner", "Déjeuner", "Goûter", "Dîner" };

Bilan
Bilan_creer (Patient pat, Ration r[4], int p[4], int f[4])
{
  int i;
  Bilan b;

  b.patient = pat;
  for (i = 0; i < 4; ++i) {
    b.repas[i] = r[i];
    b.pompes[i] = p[i];
    b.flexions[i] = f[i];
  }

  return b;
}

Bilan
Bilan_demander (Patient p)
{
  Ration repas[4];
  int i, pompes[4], flexions[4];

  for (i = 0; i < 4; ++i) {
    printf("%s :\n", nom_repas[i]);
    repas[i] = Ration_demander();

    printf("- Nombres de pompes effectuées après le repas : ");
    scanf("%d", &pompes[i]);
    getchar();

    printf("- Nombres de flexions effectuées après le repas : ");
    scanf("%d", &flexions[i]);
    getchar();
  }

  return Bilan_creer(p, repas, pompes, flexions);
}

void
Bilan_ecrire (Bilan b)
{
  int i;
  FILE *bilan = NULL;

  bilan = fopen("rapport.txt", "w");
  if (bilan == NULL) { /* erreur à l'ouverture du fichier */
    perror("fopen");
    return;
  }

  Patient_ecrire(b.patient, bilan);

  for (i = 0; i < 4; i++) {
    Ration_ecrire(b.repas[i], bilan);
    fprintf(bilan, " %d %d\n", b.pompes[i], b.flexions[i]);
  }

  fclose(bilan);
}

Bilan
Bilan_lire ()
{
  Bilan b;
  int i;
  FILE *bilan = NULL;

  bilan = fopen("rapport.txt", "r");
  if (bilan == NULL) { /* erreur à l'ouverture du fichier */
    perror("fopen");
    return b;
  }

  b.patient = Patient_lire(bilan);

  for (i = 0; i < 4; i++) {
    b.repas[i] = Ration_lire(bilan);
    fscanf(bilan, "%d %d", &b.pompes[i], &b.flexions[i]);
  }

  fclose(bilan);

  return b;
}

int
Bilan_calcul (Bilan b)
{
  int i, kcal = 0;

  for (i = 0; i < 4; i++) {
    kcal += Ration_kcal(b.repas[i]);
    kcal -= Sante_sport(b.patient, b.pompes[i], b.flexions[i]);
  }

  return kcal;
}
