#include <stdio.h>
#include "patient.h"
#include "ration.h"
#include "bilan.h"
#include "testSante.h"

#define NB_PAT_MAX 100

int
main (int argc, char *argv[])
{
  Patient patient[NB_PAT_MAX];
  Bilan bilan;
  int nb_pat, i, n;

  printf("== Diététique ==\n\n");

  do {
    printf("Nombres de patients : ");
    scanf("%d", &nb_pat);
  } while (nb_pat < 0 || nb_pat >= 100);
  getchar();

  for (i = 0; i < nb_pat; ++i) {
    printf("Patient n°%d\n", i);
    patient[i] = Patient_demander();
    printf("\n");
  }

  printf(">>> Patients enregistrés.\n");

  while (i) {
    printf("\nQue voulez vous faire ?\n"
           "\t(0) Quitter\n"
           "\t(1) Afficher les détails d'un patient\n"
           "\t(2) Éditer un rapport journalier pour un patient\n"
           "\t(3) Lire un rapport depuis le fichier rapport.txt et faire"
           " le bilan\n"
           "\t> ");
    scanf("%d", &i);
    printf("\n");

    switch (i) {
    case 0:
      printf("Bye!\n");
      break;

    case 1:
    case 2:
      printf("Numéro du patient : ");
      scanf("%d", &n);
      if (n < 0 || n >= nb_pat) {
        printf("Numéro de patient invalide.\n");
        continue;
      }
      if (i == 1) { /* simple affichage */
        Patient_afficher(patient[n]);
      }
      else { /* i == 2, édition de bilan */
        printf("Édition du bilan de la journée de %s %s %s\n",
               (patient[n].sexe == 'h') ? "M." : "Mme",
               patient[n].prenom, patient[n].nom);
        bilan = Bilan_demander(patient[n]);
        Bilan_ecrire(bilan);
        printf("Ok. Bilan écrit dans rapport.txt.\n");
      }
      break;

    case 3:
      bilan = Bilan_lire();
      Patient_afficher(bilan.patient);
      printf("Bilan de la journée : %dkcal.\n", Bilan_calcul(bilan));
      break;

    default:
      printf("Choix invalide.\n");
    }
  }

  return 0;
}
