#include <stdio.h>
#include <string.h>
#include "patient.h"

Patient
Patient_creer (char n[200], char p[200], int t, int m, char s)
{
  Patient pat;

  strncpy(pat.nom, n, 200);
  strncpy(pat.prenom, p, 200);
  pat.taille = t;
  pat.masse = m;
  pat.sexe = s;

  return pat;
}

Patient
Patient_demander ()
{
  char nom[200], prenom[200], sexe;
  int i = 0, taille, masse;

  printf("Nom : ");
  while (i < 200 && nom[i-1] != '\n') { /* scanf s'arrête au espace pour %s */
    nom[i++] = getchar();
  }
  nom[i-1] = '\0'; /* on remplace le '\n' par un terminateur de chaine */

  i = 0;
  printf("Prénom : ");
  while (i < 200 && prenom[i-1] != '\n') {
    prenom[i++] = getchar();
  }
  prenom[i-1] = '\0';

  printf("Taille (en cm) : ");
  scanf("%d", &taille);
  getchar();

  printf("Masse (en kg) : ");
  scanf("%d", &masse);
  getchar();

  do {
    printf("Sexe (h ou f) : ");
    sexe = getchar();
    getchar();
  } while (sexe != 'h' && sexe != 'f');

  return Patient_creer(nom, prenom, taille, masse, sexe);
}

void
Patient_ecrire (Patient p, FILE *out)
{
  fprintf(out, "%s\n%s\n%d %d %c\n",
          p.nom, p.prenom, p.taille, p.masse, p.sexe);
}

Patient
Patient_lire (FILE *in)
{
  char nom[200], prenom[200], sexe;
  int i = 0, taille, masse;

  while (i < 200 && nom[i-1] != '\n') {
    nom[i++] = getc(in);
  }
  nom[i-1] = '\0';

  i = 0;
  while (i < 200 && prenom[i-1] != '\n') {
    prenom[i++] = getc(in);
  }
  prenom[i-1] = '\0';

  fscanf(in, "%d %d %c", &taille, &masse, &sexe);

  return Patient_creer(nom, prenom, taille, masse, sexe);
}

void
Patient_afficher (Patient p)
{
  printf("%s %s %s :\n\tTaille : %dcm\n\tMasse : %dkg\n\n",
         (p.sexe == 'h') ? "M." : "Mme", p.prenom, p.nom, p.taille, p.masse);
}
