#include <stdio.h>
#include "patient.h"
#include "ration.h"

Ration
Ration_creer (int g, int p, int l)
{
  Ration r;

  r.glucides = g;
  r.protides = p;
  r.lipides = l;

  return r;
}

Ration
Ration_demander ()
{
  int g, p, l;

  printf("- glucides (en grammes) : ");
  scanf("%d", &g);
  getchar();

  printf("- protides (en grammes) : ");
  scanf("%d", &p);
  getchar();

  printf("- lipides (en grammes) : ");
  scanf("%d", &l);
  getchar();

  return Ration_creer(g, p, l);
}

void
Ration_ecrire (Ration r, FILE *out)
{
  fprintf(out, "%d %d %d", r.glucides, r.lipides, r.protides);
}

Ration
Ration_lire (FILE *in)
{
  int g, p, l;

  fscanf(in, "%d %d %d", &g, &p, &l);

  return Ration_creer(g, p, l);
}

Ration
Ration_calcul (Patient p)
{
  int kcal;

  if (p.sexe == 'h') {
    kcal = 2800;
  }
  else {
    kcal = 2200;
  }

  return Ration_creer(kcal * 0.55 / 4.0,
                      kcal * 0.30 / 4.0,
                      kcal * 0.15 / 9.0);
}

int
Ration_kcal (Ration r)
{
  return (r.glucides + r.protides) * 4.0 + r.lipides * 9.0;
}
